<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_WORKFLOWS}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKFLOWS}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(workflows)}">
      <table class="ui table" id="workflows" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="workflow : ${workflows}">
            <td>
            	<a sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKFLOWS_UPDATE)"  th:text="${workflow.name}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKFLOWS_UPDATE} + '/' + ${workflow.id}}"></a>
            	<span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKFLOWS_UPDATE)" th:text="${workflow.name}"></span>
            
            </td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKFLOWS_CREATE)"  
    		  th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                             icon1text = null,
                                                             icon1url = null,
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKFLOWS_CREATE},
                                                             )" />
  </div>
</body>
</html>